Skip to main content
`Ctrl`+`K`

# PetscDualSpaceSumSetSubspace

Set a space in the sum space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSumSetSubspace(PetscDualSpace sp, PetscInt s, PetscDualSpace subsp)

## Input Parameters

- sp - the dual space object

- s - The space number

- subsp - the number of spaces

## Note

The name SetSubspace is slightly misleading because it is actually setting one of the defining spaces of the sum, not a Subspace of it

## See Also

`PETSCDUALSPACESUM`, `PetscDualSpace`, `PetscDualSpaceSumGetSubspace()`

## Level

intermediate

## Location

src/dm/dt/dualspace/impls/sum/dualspacesum.c

## Implementations

PetscDualSpaceSumSetSubspace_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages